Index: code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12132)
+++ code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12133)
@@ -43,4 +43,5 @@
     this->players.at(0)->gameStage = this->gameStage;
     this->players.at(0)->is_active = true;
+    orxout()<<"Player "<<1<<"\'s turn. Please choose province."<<endl;
 }
 
@@ -68,25 +69,42 @@
             if(this->active_player < this->players.size()){
                 this->active_player++;
-                WagnisPlayer* next = this->players[this->active_player-1];
+                WagnisPlayer* next = this->players[this->active_player - 1];
                 next->gameStage = CHOOSE_PROVINCE_STAGE;
                 next->is_active = true;
-                orxout()<<"Player "<<next->Player_ID<<"\'s turn. Please choose province"<<endl;
+                orxout()<<"Player "<<next->Player_ID<<"\'s turn. Please choose province."<<endl;
             }else{
                 this->active_player = 1;
-                WagnisPlayer* next = this->players[this->active_player-1];
+                WagnisPlayer* next = this->players[this->active_player - 1];
                 next->gameStage = REINFORCEMENT_STAGE;
                 this->gameStage = REINFORCEMENT_STAGE;
                 next->is_active = true;
-                orxout()<<"Player "<<next->Player_ID<<"\'s turn. Reinforcement"<<endl;
+                orxout()<<"Player "<<next->Player_ID<<"\'s turn. Reinforcement."<<endl;
             }
             break;
         }
         case REINFORCEMENT_STAGE:{
+            player->gameStage = ATTACK_STAGE;
+            this->gameStage = ATTACK_STAGE;
+            orxout()<<"Player "<<player->Player_ID<<"\'s turn. Attack."<<endl;
             break;
         }
         case ATTACK_STAGE:{
+            player->gameStage = MOVE_STAGE;
+            this->gameStage = MOVE_STAGE;
+            orxout()<<"Player "<<player->Player_ID<<"\'s turn. Move."<<endl;
             break;
         }
         case MOVE_STAGE:{
+            player->is_active = false;
+            if(this->active_player < this->players.size()){
+                this->active_player++;
+            }else{
+                this->active_player = 1;
+            }
+            WagnisPlayer* next = this->players[this->active_player - 1];
+            orxout()<<"Player "<<next->Player_ID<<"\'s turn. Reinforcement."<<endl;
+            next->gameStage = REINFORCEMENT_STAGE;
+            this->gameStage = REINFORCEMENT_STAGE;
+            next->is_active = true;
             break;
         }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12132)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12133)
@@ -40,4 +40,5 @@
                     if(prov->getID() == 1000){
                         master->playerFinishedStageCallback(this);
+                        prov->setHealth(prov->getMaxHealth());
                         break;
                     }
@@ -61,7 +62,13 @@
                     case CHOOSE_PROVINCE_STAGE: 
                     {   
-                        if (checkMove(SET_TROOPS_INITIAL))
+                        if (checkMove(SET_TROOPS_INITIAL)){
                             this->target_province->owner_ID = this->Player_ID;
-                        
+                            this->target_province->troops += 1;
+                            orxout()<<"Province "<<this->target_province->ID<<" owned by Player "<<this->target_province->owner_ID<<" troops: "<<this->target_province->troops<<endl;
+                            master->playerFinishedStageCallback(this);
+                        }else{
+                            orxout()<<"Sorry, someone already owns this provice"<<endl;
+                        }
+
                         break;
                     }
@@ -69,7 +76,9 @@
                     case REINFORCEMENT_STAGE:
                     {
-                        if (checkMove(SET_TROOPS))
+                        if (checkMove(SET_TROOPS)){
                             this->target_province->troops += 1;
-                        
+                            orxout()<<"Province "<<this->target_province->ID<<" owned by Player "<<this->target_province->owner_ID<<" troops: "<<this->target_province->troops<<endl;
+                        }
+                            
                         break;
                     }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12132)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12133)
@@ -22,5 +22,5 @@
     WagnisProvince::WagnisProvince(Context* context) : Pawn(context){
         RegisterObject(WagnisProvince);
-        this->owner_ID = 0;
+        this->owner_ID = -1;
         this->troops = 0;
         this->ID = -1;
